Package org.silverpeas.components.community.web

# Class CommunityOfUsersResource

java.lang.Object
org.silverpeas.core.web.rs.RESTWebService
org.silverpeas.components.community.web.CommunityWebResource
org.silverpeas.components.community.web.CommunityOfUsersResource

All Implemented Interfaces:
  `org.silverpeas.core.web.rs.ProtectedWebResource`, `org.silverpeas.core.web.rs.WebAuthenticationValidation`, `org.silverpeas.core.web.rs.WebAuthorizationValidation`, `org.silverpeas.core.web.SilverpeasWebResource`

@WebService @Path("community/{componentInstanceId}") public class CommunityOfUsersResource extends CommunityWebResource
A REST-based Web resource representing the communities of users. A community is always related to a resource in Silverpeas, and it is managed by a Community application instance. Only authorized users can access these resources.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.silverpeas.components.community.web.CommunityWebResource

  `CommunityWebResource.WebFunction<R>`

  ## Nested classes/interfaces inherited from class org.silverpeas.core.web.rs.RESTWebService

  `org.silverpeas.core.web.rs.RESTWebService.WebProcess<R extends Object>, org.silverpeas.core.web.rs.RESTWebService.WebTreatment<R extends Object>`

- ## Field Summary

  ### Fields inherited from class org.silverpeas.components.community.web.CommunityWebResource

  `NO_PAGINATION, RESOURCE_NAME`

  ### Fields inherited from class org.silverpeas.core.web.rs.RESTWebService

  `RESPONSE_HEADER_ARRAYSIZE`

  ### Fields inherited from interface org.silverpeas.core.web.SilverpeasWebResource

  `BASE_PATH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommunityOfUsersResource()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CommunityOfUsersEntity`
  `getCommunityOfUsers()`
  Gets the JSON representation of the community of users managed by the component instance of id `componentInstanceId`.
  `String`
  `getComponentId()`
  `CommunityOfUsersEntity`
  `updateCommunityOfUsers(CommunityOfUsersEntity entity)`
  Updates the community of users with the properties of the specified web entity representing the new state of the community.

  ### Methods inherited from class org.silverpeas.components.community.web.CommunityWebResource

  `getResourceBasePath, getUserRoles, getWebManager, initURIBuilder, process`

  ### Methods inherited from class org.silverpeas.core.web.rs.RESTWebService

  `createWebResourceUri, fromPage, getBundle, getBundleLocation, getHighestUserRole, getHttpRequest, getHttpServletRequest, getHttpServletResponse, getLanguage, getOrganisationController, getSilverpeasContext, getUri, getUser, getUserPreferences, identifiedBy, identifiedBy, initContext, initWebResourceUri, isUserDefined, process`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.silverpeas.core.web.rs.ProtectedWebResource

  `validateUserAuthorization`

  ### Methods inherited from interface org.silverpeas.core.web.rs.WebAuthenticationValidation

  `validateUserAuthentication`

- ## Constructor Details

  - ### CommunityOfUsersResource

    public CommunityOfUsersResource()

- ## Method Details

  - ### getComponentId

    public String getComponentId()

  - ### getCommunityOfUsers

    @GET @Produces("application/json") public CommunityOfUsersEntity getCommunityOfUsers()
    Gets the JSON representation of the community of users managed by the component instance of id `componentInstanceId`. If it doesn't exist, a 404 HTTP code is returned.
    Returns:
      the JSON representation of a community resource.
    See Also:
      - `RESTWebService.WebProcess.execute()`

  - ### updateCommunityOfUsers

    @PUT @Consumes("application/json") @Produces("application/json") public CommunityOfUsersEntity updateCommunityOfUsers(CommunityOfUsersEntity entity)
    Updates the community of users with the properties of the specified web entity representing the new state of the community. Because the space for which the community has been defined is permanent, and because the memberships of the community is handled by another resource (referred by a URI), only data on the home page and the charter can be modified.
    Parameters:
      `entity` - the new state of the community of users.
    Returns:
      the JSON representation of the updated state of the community of users.